@echo off
set CLASSPATH=..\Programm\HitBatch.jar;..\Programm\HitUpros.jar
java.exe HitBatch.HitBatchMain HitBatch.ini

if ERRORLEVEL 5 goto ERROR
if ERRORLEVEL 4 goto REPEAT
if ERRORLEVEL 1 goto ERROR
goto FERTIG

:REPEAT
echo Wiederholen ???
pause
goto AGAIN1

:ERROR
echo Transfer der Daten nicht erfolgreich
pause
goto FERTIG


ERRORLEVELs:   0 = Verarbeitung OK, Details siehe Ergebns-Dateien
               1 = Impressum ausgegeben, keine weitere Verarbeitung
               2 = Parameter-Fehler, keine weitere Verarbeitung
               3 = Lese-Fehler, Verarbeitung wegen Problemen abgebrochen
               4 = Fehler in Verbindung zum HIT-Server, Verarbeitung abgebrochen
               5 = System-Fehler, Fehlertext bitte an Entwicklung melden

:FERTIG
pause
exit /B
